<%@include file="/WEB-INF/jspf/page-non-authenticated.jspf" %>

<%--
  ~ Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
  ~ QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  --%>

<html>
  <head>
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no"> <%-- Required by ExtJS6 to function properly on mobile devices --%>

    <title>${actionBean.appTitle}</title>

    <link rel="shortcut icon"
          href="${pageContext.request.contextPath}/favicon.ico"/>

    <c:choose>
      <c:when test="${actionBean.debugMode}">
        <link rel="stylesheet" type="text/css"
              href="${pageContext.request.contextPath}/js/extjs/classic/theme-classic/resources/theme-classic-all-debug.css"/>

        <link rel="stylesheet" type="text/css"
              href="${pageContext.request.contextPath}/js/extjs/packages/ux/classic/classic/resources/ux-all-debug.css"/>

        <link rel="stylesheet" type="text/css"
              href="${pageContext.request.contextPath}/js/extjs/packages/charts/classic/classic/resources/charts-all-debug.css"/>
      </c:when>
      <c:otherwise>
        <link rel="stylesheet" type="text/css"
              href="${pageContext.request.contextPath}/js/extjs/classic/theme-classic/resources/theme-classic-all.css"/>

        <link rel="stylesheet" type="text/css"
              href="${pageContext.request.contextPath}/js/extjs/packages/ux/classic/classic/resources/ux-all.css"/>

        <link rel="stylesheet" type="text/css"
              href="${pageContext.request.contextPath}/js/extjs/packages/charts/classic/classic/resources/charts-all.css"/>
      </c:otherwise>
    </c:choose>


    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/quartzdesk/quartzdesk-all.css"/>

    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/quartzdesk/extjs-fixes.css"/>


    <c:choose>
      <c:when test="${actionBean.debugMode}">
        <%-- Sencha ExtJS framework --%>
        <script type="text/javascript"
                src="${pageContext.request.contextPath}/js/extjs/ext-all-debug.js"></script>

        <%-- Sencha ExtJS UX extensions --%>
        <script type="text/javascript"
                src="${pageContext.request.contextPath}/js/extjs/packages/ux/classic/ux-debug.js"></script>

        <%-- Sencha ExtJS Theme --%>
        <script type="text/javascript"
                src="${pageContext.request.contextPath}/js/extjs/classic/theme-classic/theme-classic-debug.js"></script>

        <%-- Sencha Charts --%>
        <script type="text/javascript"
                src="${pageContext.request.contextPath}/js/extjs/packages/charts/classic/charts-debug.js"></script>
      </c:when>
      <c:otherwise>
        <%-- Use the concatenated and minified quartzdesk-all.js that contains all ExtJS and all QDesk stuff. --%>
        <script type="text/javascript"
                src="${pageContext.request.contextPath}/js/quartzdesk-all.js"></script>
      </c:otherwise>
    </c:choose>


    <%-- Sencha ExtJS locale script --%>
    <c:if test="${not empty actionBean.extJsLocalePath}">
      <script type="text/javascript"
              src="${pageContext.request.contextPath}${actionBean.extJsLocalePath}"></script>
    </c:if>

    <%-- Various unofficial ExtJS plugins & extensions --%>

    <%--
      ClearableCombo plugin - standard ExjJS combo with a clear icon button next to it.
      Source: Modified original version at http://www.learnsomethings.com/2011/09/30/extjs-4-clearable-combobox-ala-twintriggers-example/
    --%>
    <c:if test="${actionBean.debugMode}">
      <script type="text/javascript"
              src="${pageContext.request.contextPath}/js/extjs/ux/form/ClearableCombo.js"></script>
    </c:if>

    <%--
      ParamsSubmit plugin - a form submit action that gives the user total control over the
      parameters sent during form submit.
    --%>
    <c:if test="${actionBean.debugMode}">
      <script type="text/javascript"
              src="${pageContext.request.contextPath}/js/extjs/ux/ParamsSubmit.js"></script>
    </c:if>

    <%--
      GroupingCombo plugin - standard ExjJS combo with support of optgroup-like elements. Based on the
      idea presented at http://www.sencha.com/forum/showthread.php?159356-Optgroups%28Category-Headings%29-in-Combobox
    --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/extjs/ux/form/GroupingCombo/GroupingCombo.css"/>
    <c:if test="${actionBean.debugMode}">
      <script type="text/javascript"
              src="${pageContext.request.contextPath}/js/extjs/ux/form/GroupingCombo.js"></script>
    </c:if>

    <%--
      IconCombo plugin - standard ExjJS combo with a clear icon button next to it.
      Source: Modified original version at http://www.learnsomethings.com/2011/09/30/extjs-4-clearable-combobox-ala-twintriggers-example/
    --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/extjs/ux/form/IconCombo/IconCombo.css"/>
    <c:if test="${actionBean.debugMode}">
      <script type="text/javascript"
              src="${pageContext.request.contextPath}/js/extjs/ux/form/IconCombo.js"></script>
    </c:if>

    <%--
      TreeIconCombo plugin - an icon combo that uses a tree panel picker.
    --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/extjs/ux/form/TreeIconCombo/TreeIconCombo.css"/>
    <c:if test="${actionBean.debugMode}">
      <script type="text/javascript"
              src="${pageContext.request.contextPath}/js/extjs/ux/form/TreeIconCombo.js"></script>
    </c:if>

    <%--
      DateTime component - combines a datefield and timefield in a single component.
      Source: Modified original at https://github.com/zombeerose/DateTime
    --%>
    <c:if test="${actionBean.debugMode}">
      <script type="text/javascript"
              src="${pageContext.request.contextPath}/js/extjs/ux/form/field/DateTime.js"></script>
    </c:if>

    <%-- QuartzDesk Application (must not be included in quartzdesk-all.js) --%>
    <script type="text/javascript"
            src="${pageContext.request.contextPath}/js/app.js"></script>

    <%-- CSS stylesheet with OEM style overrides --%>
    <link rel="stylesheet" type="text/css"
          href="${pageContext.request.contextPath}/css/oem.css"/>

  </head>

  <body>
    <noscript>
      <center>
        <fmt:message key="/index.jsp.noScriptMsg"/>
      </center>
    </noscript>
  </body>
</html>