<%@
 page language="java"
         contentType="application/javascript;charset=UTF-8"%>
    <%@ include file="/WEB-INF/jspf/taglibs.jspf" %>
<%--
  ~ Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
  ~ QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  --%>

/**
 * Dynamically generated singleton that exposes the application configuration.
 */
Ext.define( 'QDesk.ApplicationConfig', {
  singleton : true,

  data : ${actionBean.entriesJson},

  /**
   * Returns the value of the specified application configuration entry.
   * @param key an configuration entry key.
   * @return the configuration entry value.
   */
  get : function ( key )
  {
    var me = this;
    var entryValue = me.data[key];
    if ( entryValue == null )
    {
      //Ext.Error.raise( 'Undefined application configuration entry key: ' + key );
      QDesk.Log.error( 'Undefined application configuration entry key: ' + key );
    }
    return entryValue;
  },

 /**
  * Applies the specified configuration changes to the current application configuration.
  * @param changes an object containing configuration changes.
  */
  applyChanges : function ( changes )
  {
    var me = this;
    for ( var entryKey in changes )
    {
      var entryValue = changes[entryKey];
      if ( me.data[entryKey] == null )
      {
        QDesk.Log.error( 'Skipped undefined application configuration entry with key: ' + entryKey );
      }
      else
      {
        me.data[entryKey] = entryValue;
      }
    }
  }
} );
