<%@ page language="java"
         contentType="application/javascript;charset=UTF-8"%>
<%@ include file="/WEB-INF/jspf/taglibs.jspf" %>
<%--
  ~ Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
  ~ QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  --%>

<%--
This is a workaround for a WebSphere error described at http://www-01.ibm.com/support/docview.wss?uid=swg1PM16142.
Without this fix, the escapeJs function, used in the forEach block below, would not be resolved.
--%>
${sfn:escapeJs('')}

<%--
  JSP page used by the {@link com.quartzdesk.web.extjs.js.MsgAction}
  to dynamically generate the ExtJS-based QDesk.Msg class.
--%>
<c:set var="resources" value="${actionBean.resources}"/>
/**
 * Dynamically generated singleton that provides access to the localized JavaScript
 * resources in the javaScriptMessageSource Spring bean.
 *
 * Current locale: ${actionBean.locale}
 */
Ext.define('QDesk.Msg',
{
  singleton: true${empty resources ? '' : ','}

<c:forEach var="resource" items="${resources}" varStatus="status">
  ${sfn:replace(resource.key, ".", "_")} : '${sfn:escapeJs(resource.value)}'${status.last ? ',' : ','}
</c:forEach>

  /**
   * Returns the localized message with the specified key. All arguments
   * following the message key are used to expand potential parameters
   * in the message.
   * @param key a message key.
   */
  get : function(key)
  {
    // must replace . with _ to create valid JavaScript attribute names
    var newKey = key.replace( /\./g, '_' );
    var msg = this[newKey];

    if (msg)
    {
      var args = Ext.Array.from( msg );
      args = args.concat( Ext.Array.toArray( arguments, 1 ) );
      if (arguments.length > 1)
      {
        return Ext.String.format.apply( this, args );
      }
      else
      {
        // no message parameter expansion if there are no parameters
        return msg;
      }
    }
    else
    {
      // if the localized message is missing, return the key in [].
      return '[' + key + ']';
    }
  }
});
