<%@ include file="/WEB-INF/jspf/page-non-authenticated.jspf" %>

<%@ page import="javax.servlet.http.Cookie" %>
<%@ page import="java.util.Date" %>
<%@ page import="java.util.Enumeration" %>
<%@ page import="java.util.Map" %>

<%--
  ~ Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
  ~ QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
  --%>
<html>

  <body bgcolor="white">

    <style type="text/css">
      body {
        font-family: helvetica, sans-serif;
        font-size: 10pt;
        background-color: white
      }
    </style>

    <h1>Snoop page</h1>

    <b>Request Information</b>
<pre>
  Method: ${request.method} <%= request.getMethod() %>
  Scheme: <%= request.getScheme() %>
  Character encoding: <%= request.getCharacterEncoding() %>

  Request URI: <%= request.getRequestURI() %>
  Request URL: <%= request.getRequestURL() %>
  Servlet path: <%= request.getServletPath() %>
  Path info: <%= request.getPathInfo() %>
  Path translated: <%= request.getPathTranslated() %>
  Query string: <%= request.getQueryString() %>
  Request Protocol: <%= request.getProtocol() %>
  Content length: <%= request.getContentLength() %>
  Content type: <%= request.getContentType() %>

  Server name: <%= request.getServerName() %>
  Server port: <%= request.getServerPort() %>

  Remote user: <%= request.getRemoteUser() %>
  Remote address: <%= request.getRemoteAddr() %>
  Remote host: <%= request.getRemoteHost() %>

  Local address: <%= request.getLocalAddr() %>
  Local port: <%= request.getLocalPort() %>
  Local name: <%= request.getLocalName() %>

  Is secure: <%= request.isSecure() %>
  Authorization scheme: <%= request.getAuthType() %>

  Requested session ID: <%= request.getRequestedSessionId() %>
  Is requested session ID valid: <%= request.isRequestedSessionIdValid() %>
  Session ID: <%= session != null ? session.getId() : "N/A" %>
  Session created at: <%= session != null ? new Date( session.getCreationTime() ).toString() : "N/A" %>
  Session last accessed at: <%= session != null ? new Date( session.getLastAccessedTime() ).toString() : "N/A" %>
  Session max inactive interval: <%= session != null ? Integer.toString( session.getMaxInactiveInterval() ) :
    "N/A" %>
  Session is new: <%= session != null ? Boolean.toString( session.isNew() ) : "N/A"%>

  Locale: <%= request.getLocale() %>
  User agent: <%= request.getHeader( "User-Agent" ) %>
</pre>
    <hr>

    <b>Request headers:</b>

    <p>
      <code>
        <%
          for ( Enumeration<String> headerNames = (Enumeration<String>) request.getHeaderNames(); headerNames.hasMoreElements(); )
          {
            String headerName = headerNames.nextElement();
            Object headerValue = request.getHeader( headerName );
        %>
        <%= headerName %> = <%= headerValue %><br/>
        <%
          }
        %>
      </code>
    </p>
    <hr>


    <b>Cookies:</b>

    <p>
      <code>
        <%
          if ( request.getCookies() != null )
          {
            for ( Cookie cookie : request.getCookies() )
            {
        %>
        name=<%= cookie.getName() %>, value=<%= cookie.getValue() %>, path=<%= cookie.getPath() %>,
        domain=<%= cookie.getDomain()%>, maxAge=<%= cookie.getMaxAge() %>, version=<%= cookie.getVersion()%>,
        secure=<%= cookie.getSecure() %>, comment=<%= cookie.getComment() %><br/>
        <%
            }
          }
        %>
      </code>
    </p>
    <hr>


    <b>Request parameters:</b>

    <p>
        <%
    for ( Map.Entry<String, String[]> entry : ( (Map<String, String[]>) request.getParameterMap() ).entrySet() )
    {
      String paramName = entry.getKey();
      String[] paramValues = entry.getValue();

      StringBuilder paramValuesStr = new StringBuilder();
      for ( int i = 0; i < paramValues.length; i++ )
      {
        paramValuesStr.append( paramValues[i] );
        if ( i < paramValues.length - 1 ) paramValuesStr.append( ", " );
      }
  %>
    <pre><%= paramName %> = <%= paramValuesStr %></pre>
    <%
      }
    %>
    </p>
    <hr>


    <b>Request attributes:</b>

    <p>
        <%
    for ( Enumeration<?> reqAttrNames = request.getAttributeNames(); reqAttrNames.hasMoreElements(); )
    {
      String reqAttrName = (String) reqAttrNames.nextElement();
      Object reqAttrValue = request.getAttribute( reqAttrName );
  %>
    <pre><%= reqAttrName %> (<%= reqAttrValue.getClass().getName() %>) = <%= reqAttrValue %></pre>
    <%
      }
    %>
    </p>
    <hr>


    <b>Session attributes:</b>

    <p>
        <%
    if ( session != null )
    {
      for ( Enumeration<?> sesAttrNames = session.getAttributeNames(); sesAttrNames.hasMoreElements(); )
      {
        String sesAttrName = (String) sesAttrNames.nextElement();
        Object sesAttrValue = session.getAttribute( sesAttrName );
  %>
    <pre><%= sesAttrName %> (<%= sesAttrValue.getClass().getName() %>) = <%= sesAttrValue %></pre>
    <%
        }
      }
    %>
    </p>
    <hr>


    <b>Context attributes:</b>

    <p>
        <%
    for ( Enumeration<?> ctxAttrNames = application.getAttributeNames(); ctxAttrNames.hasMoreElements(); )
    {
      String ctxAttrName = (String) ctxAttrNames.nextElement();
      Object ctxAttrValue = application.getAttribute( ctxAttrName );
  %>
    <pre><%= ctxAttrName %> (<%= ctxAttrValue.getClass().getName() %>) = <%= ctxAttrValue %></pre>
    <%
      }
    %>
    </p>
    <hr>


    <b>System properties:</b>

    <p>
        <%
    for ( Enumeration<?> propNames = System.getProperties().keys(); propNames.hasMoreElements(); )
    {
      String propName = (String) propNames.nextElement();
      String propValue = System.getProperty( propName );
  %>
    <pre><%= propName %> = <%= propValue %></pre>
    <%
      }
    %>
    </p>

  </body>
</html>
