/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * Inspired by http://www.learnsomethings.com/2011/09/30/extjs-4-clearable-combobox-ala-twintriggers-example/
 * but reworked completely to work with ExtJS 5.
 */
Ext.define( 'Ext.ux.form.ClearableCombo', {
  extend : 'Ext.form.field.ComboBox',

  alias : 'widget.xcombo',

  onRender : function ( ct, position )
  {
    var me = this;

    me.callParent( arguments );

    var id = me.getId();

    // append the clear trigger element
    var clearTriggerEl = me.getEl().down( '.x-form-trigger-wrap' ).appendChild(
        {
          tag : 'div',
          id : id + '-trigger-picker-clear',
          cls : 'x-form-trigger x-form-trigger-toolbar x-form-clear-trigger x-form-clear-trigger-toolbar'
        }
    );

    clearTriggerEl.on( 'click',
        function ( e )
        {
          me.reset();
        },
        me );

    clearTriggerEl.addClsOnOver( 'x-form-trigger-over' );
  }
} );
