/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Extension of the standard ExtJS ComboBox which supports single-level grouping
 * of items.
 * <p/>
 * The display name of the group is configured using the {@code displayGroupField}
 * config parameter (defaults to 'group').
 */
Ext.define( 'Ext.ux.form.GroupingCombo', {
  extend : 'Ext.form.ComboBox',

  alias : 'widget.GroupingCombo',

  constructor : function ( config )
  {
    var me = this;

    var displayField = config.displayField ? config.displayField : 'text';
    var displayGroupField = config.displayGroupField ? config.displayGroupField : 'group';

    Ext.apply( config, {
      listConfig : {
        cls : 'ux-grouping-combo-boundlist',
        tpl : [
          '<ul>',
          '<tpl for=".">',

          '<tpl if="xindex == 1 || this.getGroupStr(parent[xindex - 2]) != this.getGroupStr(values)">',
          '<li role="group"  unselectable="on" class="x-boundlist-group"><b>{[this.getGroupStr(values)]}</b></li>',
          '</tpl>',

          '<li role="option" unselectable="on" class="x-boundlist-item">{' + displayField + '}</li>',

          '</tpl>',
          '</ul>',
          {
            getGroupStr : function ( values )
            {
              return values[displayGroupField];
            }
          }
        ]
      }
    } );

    me.callParent( [config] );
  }
} );
