/**
 * Ext.ux.form.IconCombo Extension Class for Ext 4.x Library
 *
 * @author  Daniel Kuhnley
 * @class Ext.ux.form.IconCombo
 * @extends Ext.form.field.ComboBox
 */
Ext.define( 'Ext.ux.form.IconCombo', {
  extend : 'Ext.form.field.ComboBox',
  alias : 'widget.iconcombo',

  initComponent : function ()
  {
    var me = this;

    Ext.apply( me, {
      listConfig : {
        iconClsField : me.iconClsField,
        getInnerTpl : function ()
        {
          return '<tpl for=".">'
              + '<div class="x-combo-list-item ux-icon-combo-item '
              + '{' + me.iconClsField + '}">'
              + '{' + me.displayField + '}'
              + '</div></tpl>';
        },
        scope : me
      },
      scope : me
    } );

    me.on( 'change', me._setIconCls );

    me.callParent( arguments );
  },


  onRender : function ( ct, position )
  {
    var me = this;

    me.callParent( arguments );

    // adjust styles
    //this.bodyEl.applyStyles( {position : 'relative'} );
    me.getEl().down( 'input.x-form-field' ).addCls( 'ux-icon-combo-input' );
    me.getEl().down( '.x-form-trigger-wrap' ).applyStyles( {position : 'relative'} );  // ?

    // add span for icon
    me.icon = Ext.core.DomHelper.insertBefore( me.el.down( '.x-form-text-wrap input' ), {
      tag : 'span', style : 'position:absolute'
    } );
  },


  setValue : function ( value )
  {
    var me = this;
    me.callParent( arguments );
    me._setIconCls();
  },


  _setIconCls : function ()
  {
    var me = this;

    if ( me.rendered )
    {
      var rec = this.store.findRecord( me.valueField, me.getValue() );
      if ( rec )
      {
        me.icon.className = 'ux-icon-combo-icon ' + rec.get( me.iconClsField );
      }
    }
    else
    {
      me.on( 'render', me._setIconCls, me, {single : true} );
    }
  }
} );

