/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Displays a preview window for the specified chart.
 */
Ext.define( 'QDesk.controller.command.PreviewChart', {
  extend : 'QDesk.controller.command.BaseCommand',

  /**
   * Required config property containing the chart to save.
   */
  chart : undefined,


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.chart )
      Ext.Error.raise( 'Required config parameter missing: chart' );

    me.callParent( [config] );
  },


  execute : function ()
  {
    var me = this;
    me._previewChart();
  },


  _previewChart : function ()
  {
    var me = this;
    me.chart.preview();
  }
} );
