/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Opens the License window.
 */
Ext.define( 'QDesk.controller.command.help.ShowLicense', {
  extend : 'QDesk.controller.command.BaseCommand',

  requires : [
    'QDesk.Msg',
    'QDesk.controller.command.connection.ConnectionUtils',
    'QDesk.util.StoreUtils',
    'QDesk.util.UxUtils',
    'QDesk.view.navigation.help.license.LicenseWindow'
  ],


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    me.callParent( [config] );
  },


  execute : function ()
  {
    var me = this;

    QDesk.util.UxUtils.maskBody( QDesk.Msg.get( 'QDesk.controller.command.help.ShowLicense.maskLicenseDataLoad' ) );

    var licenseWindow = Ext.widget( 'LicenseWindow' );

    var generalInfoStore = licenseWindow.down( '#generalInfoTree' ).getStore();
    var featuresInfoStore = licenseWindow.down( '#featuresInfoTree' ).getStore();

    // when all stores are loaded, show the license window, or the error dialog..
    QDesk.util.StoreUtils.onAllStoresLoad( [generalInfoStore, featuresInfoStore],
        function ( successful )
        {
          QDesk.util.UxUtils.unmaskBody();

          if ( successful )
          {
            licenseWindow.show();
          }
          else
          {
            QDesk.util.UxUtils.showErrorDialog( QDesk.Msg.get( 'QDesk.controller.command.help.ShowLicense.errorLicenseDataLoad' ) );
          }
        }, me );

    licenseWindow.down( '#closeButton' ).on( 'click', function ()
    {
      licenseWindow.close();
    } );
  }
} );
