/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Refreshes the Currently Executing Jobs tab in the scheduler view panel.
 */
Ext.define( 'QDesk.controller.command.scheduler.quartz.jobs.RefreshExecutingJobsTab', {
  extend : 'QDesk.controller.command.BaseCommand',

  requires : [
    'QDesk.controller.QuartzControllerUtils',
    'QDesk.controller.command.scheduler.quartz.jobs.RefreshExecutingJobsGrid'
  ],

  /*
   * Required connection ID of the scheduler whose tab should be refreshed.
   */
  connectionId : undefined,

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.connectionId )
      Ext.Error.raise( 'Required config parameter missing: connectionId' );

    me.callParent( [config] );
  },


  execute : function ()
  {
    var me = this;

    // refreshes the jobs grid
    Ext.create( 'QDesk.controller.command.scheduler.quartz.jobs.RefreshExecutingJobsGrid', {
      connectionId : me.connectionId,
      success : function ()
      {
        // no op
      },
      failure : function ()
      {
        // no op
      }
    } ).execute();
  }
} );
