/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.controller.navigation.HelpController', {
  extend: 'Ext.app.Controller',

  requires: [
    'QDesk.Log',
    'QDesk.Msg',
    'QDesk.controller.command.help.About',
    'QDesk.controller.command.help.ShowLicense',
    'QDesk.util.UxUtils'
  ],


  init: function ()
  {
    var me = this;

    // key is a component query, value is a listener configuration
    me.control( {
      // tree node click
      '#helpTreePanel': {
        itemdblclick: function ( view, record )
        {
          var nodeId = record.get( 'id' );

          switch ( nodeId )
          {
            case 'about':
              me._onAbout();
              break;

            case 'license':
              me._onShowLicense();
              break;

            default:
              Ext.Error.raise( 'Unrecognized node ID: ' + nodeId );
          }
        }
      }
    } );

    /*
     me.application.addListener( 'eventName', me.handlerMethod, me );
     */

    me.callParent( arguments );
  },


  onLaunch: function ( application )
  {
    var me = this;
    me.callParent( arguments );
  },


  /**
   * Shows the About window.
   */
  _onAbout: function ()
  {
    var me = this;

    Ext.create( 'QDesk.controller.command.help.About', {
    } ).execute();
  },


  /**
   * Shows the License window.
   */
  _onShowLicense: function ()
  {
    var me = this;

    Ext.create( 'QDesk.controller.command.help.ShowLicense', {
    } ).execute();
  }
} );
