/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.controller.navigation.SettingsController', {
  extend : 'Ext.app.Controller',

  requires : [
    'QDesk.Log',
    'QDesk.Msg',
    'QDesk.controller.command.message.channel.EditMessageChannelProfiles',
    'QDesk.util.UxUtils',
    'QDesk.util.license.LicensedProduct'
  ],


  init : function ()
  {
    var me = this;

    // key is a component query, value is a listener configuration
    me.control( {
      // tree node click
      '#settingsTreePanel' : {
        itemdblclick : function ( view, record )
        {
          var nodeId = record.get( 'id' );
          var licensed = record.get( 'licensed' );

          if ( licensed )
          {
            switch ( nodeId )
            {
              case 'appSettings':
                me._onAppSettings();
                break;

              case 'messageChannelProfiles':
                me._onMessageChannelProfiles();
                break;

              default:
                Ext.Error.raise( 'Unrecognized node ID: ' + nodeId );
            }
          }
          else
          {
            // menu item not licensed
            QDesk.util.UxUtils.showWarningDialog( QDesk.Msg.get( 'QDesk.featureAccessRestricted.notLicensedMsg',
                QDesk.util.license.LicensedProduct.productName ) );
          }
        }
      }
    } );

    /*
     me.application.addListener( 'eventName', me.handlerMethod, me );
     */

    me.callParent( arguments );
  },


  onLaunch : function ( application )
  {
    var me = this;
    me.callParent( arguments );
  },


  _onAppSettings : function ()
  {
    var me = this;

    Ext.create( 'QDesk.controller.command.config.EditApplicationConfig', {
    } ).execute();
  },


  _onMessageChannelProfiles : function ()
  {
    var me = this;

    Ext.create( 'QDesk.controller.command.message.channel.EditMessageChannelProfiles', {
    } ).execute();
  }
} );
