/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.controller.top.SwitchLocaleController', {
  extend : 'Ext.app.Controller',

  requires : [
    'QDesk.ApplicationConfig',
    'QDesk.Log',
    'QDesk.Msg',
    'QDesk.util.UxUtils',
    'QDesk.util.constant.ActionUrl'
  ],


  init : function ()
  {
    var me = this;
    me.callParent( arguments );
  },


  onLaunch : function ( application )
  {
    var me = this;
    me.callParent( arguments );

    var switchLocaleCombo = Ext.ComponentQuery.query( '#switchLocaleCombo' )[0];
    if ( !switchLocaleCombo )
      Ext.Error.raise( 'Switch locale combo not found.' );

    var switchLocaleIgnore = false;

    switchLocaleCombo.on( 'change', function ( combo, newLocale, oldLocale )
    {
      // the initial setValue invocation on the populated combo
      if ( !oldLocale )
        return;

      if ( switchLocaleIgnore )
      {
        switchLocaleCombo = false;
        return;
      }

      if ( QDesk.ApplicationConfig.get( 'confirm.localeSwitch' ) )
      {
        QDesk.util.UxUtils.showConfirmDialog(
            QDesk.Msg.get( 'QDesk.controller.top.SwitchLocaleController.confirmMsg' ),
            function ( btn )
            {
              if ( btn == 'yes' )
              {
                Ext.create( 'QDesk.controller.command.SwitchLocale', {
                  oldLocale : oldLocale,
                  newLocale : newLocale
                } ).execute();
              }
              else
              {
                // if the user answers no, then we need to restore the original locale value
                var switchLocaleCombo = Ext.ComponentQuery.query( '#switchLocaleCombo' )[0];

                // ignore the change event
                switchLocaleIgnore = true;

                switchLocaleCombo.setValue( oldLocale );

                switchLocaleIgnore = false;
              }
            }
        );
      }
      else
      {
        Ext.create( 'QDesk.controller.command.SwitchLocale', {
          oldLocale : oldLocale,
          newLocale : newLocale
        } ).execute();
      }
    } );
  }
} );
