/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * A model used in the Connections tree view containing folder and scheduler nodes.
 */
Ext.define( 'QDesk.model.ConnectionsTreeNode', {
  extend : 'Ext.data.Model',
  fields : [
    /*
     * Common fields.
     */
    { name : 'id', type : 'string' },
    { name : 'name', type : 'string'},

    /* Node type value is either 'folder', 'connection' */
    { name : 'nodeType', type : 'string'},

    /*
     * Folder specific fields.
     */
    { name : 'folderId', type : 'int', allowNull: true},

    /*
     * Connection specific fields.
     */
    { name : 'connectionId', type : 'int', allowNull: true },
    { name : 'schedulerObjectName', type : 'string' },

    /* Scheduler type - see com.quartzdesk.domain.model.scheduler.SchedulerType */
    { name : 'schedulerType', type : 'string'},

    /* Scheduler version - see com.quartzdesk.domain.model.scheduler.SchedulerVersion */
    { name : 'schedulerVersion' },

    /* Scheduler status - see com.quartzdesk.domain.model.scheduler.SchedulerStatus */
    { name : 'schedulerStatus', type : 'string' },

    /* Enabled flag (false for connections disabled due to license restrictions). */
    { name : 'enabled', type: 'boolean'}
  ]
} );
