/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The fixed time period data model based on the
 * {@link com.quartzdesk.domain.type.FixedTimePeriod} class.
 */
Ext.define( 'QDesk.model.FixedTimePeriod', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'displayName', type : 'string' },

    { name : 'from', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'to', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },

    /*
     * See com.quartzdesk.domain.model.enums.TimePeriodLength
     * HOUR, DAY, ...
     */
    { name : 'length', type : 'string' }
  ]} );
