/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The scheduler data model.
 */
Ext.define( 'QDesk.model.Scheduler', {
  extend : 'Ext.data.Model',
  fields : [
    { name : 'objectName', type : 'string' },

    /* scheduler type - see com.quartzdesk.domain.model.scheduler.SchedulerType */
    { name : 'type', type : 'string'},

    /* version is an object with major, minor and maintenance attributes */
    { name : 'version' },

    /*
     * See com.quartzdesk.domain.model.scheduler.SchedulerStatus
     * STARTED, STOPPED, PAUSED
     */
    { name : 'status', type : 'string' },

    /*
     * Quartz scheduler specific attributes.
     */
    { name : 'instanceId', type : 'string' },
    { name : 'threadPoolClassName', type : 'string' },
    { name : 'threadPoolSize', type : 'int' },
    { name : 'jobStoreClassName', type : 'string' },

    /*
     * QuartzDesk scheduler monitoring URL.
     * Read-only property.
     */
    { name : 'monitoringUrl', type : 'string' }
  ]} );
