/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The message data model based on the {@link Message} class.
 */
Ext.define( 'QDesk.model.message.Message', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    { name : 'schedulerObjectName', type : 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.MessageChannel
     * EMAIL, IM_AIM, IM_GTALK, IM_ICQ, IM_SKYPE, IM_XMPP, IM_YAHOO, WEB_SERVICE
     */
    { name : 'channelProfileChannel', type : 'string' },
    { name : 'channelProfileName', type : 'string' },
    { name : 'channelProfileId', type : 'int', allowNull : true },

    { name : 'toAddr', type : 'string' },
    { name : 'subject', type : 'string' },
    { name : 'body', type : 'string' },

    /*
     * See QDesk.enums.message.MessageStatus.
     */
    { name : 'status', type : 'string' },

    { name : 'correlationId', type : 'string' },

    { name : 'creatorId', type : 'int', allowNull : true },
    { name : 'creatorName', type : 'string' },

    /*
     * See QDesk.enums.message.MessageCreatorType.
     */
    { name : 'creatorType', type : 'string' },

    { name : 'createdAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'createdBy', type : 'string' },

    { name : 'postponedTill', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },

    { name : 'processingStartedAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'processingFinishedAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'processedBy', type : 'string' },

    { name : 'errorCount', type : 'int', allowNull : true },
    { name : 'maxErrorCount', type : 'int', allowNull : true },

    { name : 'lastErrorAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'lastErrorDesc', type : 'string' },

    { name : 'attachment', type : 'auto' }
  ]
} );