/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * A model used in the Message Channel Profiles tree view containing folder and profile nodes.
 */
Ext.define( 'QDesk.model.message.MessageChannelProfilesTreeNode', {
  extend: 'Ext.data.Model',
  fields: [
    /*
     * Common fields.
     */
    { name: 'id', type: 'string' },
    { name: 'name', type: 'string' },

    /* Node type value is either 'folder', 'profile' */
    { name: 'nodeType', type: 'string' },

    /*
     * Folder specific fields.
     */
    { name: 'folderId', type: 'int', allowNull: true },

    /*
     * Message Channel Profile specific fields.
     */
    { name: 'profileId', type: 'int', allowNull: true },

    /* Message channel - see QDesk.enums.message.MessageChannel */
    { name: 'messageChannel', type: 'string' }
  ]
} );
