/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz job execution history data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.ExecHealthIndicatorEntry} class.
 */
Ext.define( 'QDesk.model.scheduler.ExecHealthIndicatorEntry', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'execHistoryId', type : 'int', allowNull : true },

    { name : 'startedAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'finishedAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'duration', type : 'int' },

    /*
     * See com.quartzdesk.domain.model.enums.ExecStatus
     * SUCCESS, ERROR, VETO
     */
    { name : 'execStatus', type : 'string' }
  ]} );
