/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz job execution history data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.quartz.ExecHistory} class.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzExecHistory', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    { name : 'startedAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'finishedAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'duration', type : 'number', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },

    /*
     * See com.quartzdesk.domain.model.enums.ExecStatus
     * SUCCESS, ERROR, VETO
     */
    { name : 'execStatus', type : 'string' },

    { name : 'schedulerName', type : 'string' },
    { name : 'schedulerInstanceId', type : 'string' },
    { name : 'schedulerObjectName', type : 'string' },
    { name : 'schedulerVersion', type : 'auto' },

    { name : 'jobGroupName', type : 'string' },
    { name : 'jobName', type : 'string' },
    { name : 'jobClassName', type : 'string' },
    { name : 'jobClassLocation', type : 'string' },
    { name : 'jobDataMap', type : 'auto' },
    { name : 'jobExecutionId', type : 'string' },

    { name : 'triggerGroupName', type : 'string' },
    { name : 'triggerName', type : 'string' },

    { name : 'calendarName', type : 'string' },

    /*
      Result transferred as it can potentially be quite lengthy.
    { name : 'result', type : 'string' },
    */
    { name : 'resultNull', type : 'boolean' },

    { name : 'error', type : 'string' },

    /*
      User data not transferred as they can potentially be quite lengthy.
    { name : 'userData', type : 'string' },
    */
    { name : 'userDataNull', type : 'boolean' },

    /*
      Log data not transferred as they can potentially be quite lengthy.
    { name : 'log', type : 'string' },
    */
    { name : 'logNull', type : 'boolean' },

    { name : 'threadGroupName', type : 'string' },
    { name : 'threadName', type : 'string' },
    { name : 'threadPriority', type : 'int', allowNull : true },

    { name : 'hostName', type : 'string' },

    { name : 'jvmPid', type : 'int', allowNull : true },
    { name : 'jvmName', type : 'string' },
    { name : 'jvmVendor', type : 'string' },
    { name : 'jvmVersion', type : 'string' },
    { name : 'jvmRuntimeVersion', type : 'string' },

    { name : 'osName', type : 'string' },
    { name : 'osVersion', type : 'string' },
    { name : 'osArch', type : 'string' }
  ]} );
