/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * A data model based on the {@link com.quartzdesk.domain.model.scheduler.quartz.ExecutingJob}
 * class.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzExecutingJob', {
  extend : 'Ext.data.Model',

  requires : [
  ],

  fields : [
    { name : 'trigger', reference : 'scheduler.quartz.QuartzTrigger' },
    { name : 'jobDetail', reference : 'scheduler.quartz.QuartzJobDetail' },

    /* auto type */
    { name : 'jobDataMap', type : 'auto' },
    { name : 'calendarName', type : 'string' },

    /* All dates are expected in ISO 8601 format (dateFormat: QDesk.util.constant.DateFormat.timestampFormatIso8601) */
    { name : 'fireTime', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'scheduledFireTime', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },

    { name : 'nextFireTime', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'previousFireTime', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },

    { name : 'recovering', type : 'boolean' },

    { name : 'refireCount', type : 'int', allowNull : true },

    /*
     * Uniquely identifies a job execution within a particular scheduler. as opposed to the
     * jobExecutionId, this value is not globally (across all schedulers) unique.
     * Provided for executing jobs on Quartz 2.1.0 and newer only.
     */
    { name : 'fireInstanceId', type : 'string' },

    /*
     * Artificial job execution ID that uniquely and globally identifies a job execution.
     * Provided for executing jobs on Quartz 2.1.0 and newer only.
     */
    { name : 'jobExecutionId', type : 'string' }
  ]
} );
