/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz job chain data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.quartz.QuartzJobChain} class.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzJobChain', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    { name : 'createdAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },
    { name : 'updatedAt', type : 'date', dateFormat : QDesk.util.constant.DateFormat.timestampFormatIso8601 },

    { name : 'name', type : 'string' },
    { name : 'description', type : 'string' },


    { name : 'enabled', type : 'boolean' },
    { name : 'enabledFromTime', type : 'string' },
    { name : 'enabledToTime', type : 'string' },

    { name : 'schedulerObjectName', type : 'string' },

    { name : 'jobGroupName', type : 'string' },
    { name : 'jobName', type : 'string' },

    { name : 'triggerGroupName', type : 'string' },
    { name : 'triggerName', type : 'string' },

    /* List of QDesk.enums.Weekday */
    { name : 'enabledOnWeekday', type : 'auto' },

    /*
     * See com.quartzdesk.domain.model.enums.scheduler.JobChainConditionType
     * EXEC_STATUS, MAX_DURATION, EXPRESSION
     */
    { name : 'conditionType', type : 'string' },

    /*
     * See com.quartzdesk.domain.model.enums.ExecStatus
     * SUCCESS, ERROR, VETO
     */
    { name : 'conditionExecStatus', type : 'string' },
    { name : 'conditionMaxDuration', type : 'int', allowNull : true },
    /*
     * See com.quartzdesk.domain.model.enums.ExpressionLanguage
     * JAVASCRIPT,...
     */
    { name : 'conditionExpressionLanguage', type : 'string' },
    { name : 'conditionExpression', type : 'string' },

    /*
     * An array of QDesk.model.scheduler.quartz.QuartzJobChainTarget instances.
     */
    { name : 'target', type : 'auto' }
  ]
} );
