/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * The Quartz job chain target data model based on the
 * {@link com.quartzdesk.domain.model.scheduler.quartz.QuartzJobChainTarget} class.
 */
Ext.define( 'QDesk.model.scheduler.quartz.QuartzJobChainTarget', {
  extend : 'Ext.data.Model',

  requires : [
    'QDesk.util.constant.DateFormat'
  ],

  fields : [
    { name : 'id', type : 'int', allowNull : true },

    /*
     * See com.quartzdesk.domain.model.enums.scheduler.JobChainTargetType
     * LOCAL, REMOTE
     */
    { name : 'type', type : 'string', allowNull : true },

    { name : 'remoteConnectionId', type : 'int', allowNull : true },       // null for local connections
    { name : 'remoteConnectionName', type : 'string', allowNull : true },  // null for local connections

    { name : 'jobGroupName', type : 'string', allowNull : true },
    { name : 'jobName', type : 'string', allowNull : true },

    /*
     * See com.quartzdesk.domain.model.enums.scheduler.JobChainTargetExecType
     * NOW, DELAY, DATE_EXPRESSION
     */
    { name : 'execType', type : 'string', allowNull : true },

    { name : 'execTypeDelay', type : 'int', allowNull : true },

    /*
     * See com.quartzdesk.domain.model.enums.ExpressionLanguage
     * JAVASCRIPT,...
     */
    { name : 'execTypeDateExpressionLanguage', type : 'string', allowNull : true },
    { name : 'execTypeDateExpression', type : 'string', allowNull : true }
  ]
} );
