/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.ConnectionsTreeStore', {
  extend : 'Ext.data.TreeStore',

  requires : [
    'QDesk.model.ConnectionsTreeNode',
    'QDesk.util.constant.ActionUrl'
  ],

  model : 'QDesk.model.ConnectionsTreeNode',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      proxy : {
        type : 'ajax',

        url : QDesk.util.constant.ActionUrl.connectionActionTree,

        reader : {
          type : 'json',
          rootProperty : 'data',
          idProperty : 'id',
          successProperty : 'success'
        },

        // Don't want to include these params in request
        pageParam : undefined,
        startParam : undefined,
        limitParam : undefined,
        sortParam : undefined,
        directionParam : undefined,
        filterParam : undefined,
        groupParam : undefined
      }
    } );

    me.callParent( [ config ] );

    if ( config.qdesk && config.qdesk.eagerLoad )
    {
      me.getProxy().extraParams = {
        eagerLoad : config.qdesk.eagerLoad
      };
    }
  }
} );
