/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.EmptyStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.util.constant.ActionUrl'
  ],

  storeId : 'EmptyStore',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      proxy : {
        type : 'ajax',
        url : QDesk.util.constant.ActionUrl.emptyStoreAction,

        api : {
          read : QDesk.util.constant.ActionUrl.emptyStoreAction
        },

        reader : {
          type : 'json',
          rootProperty : 'data',
          successProperty : 'success',
          idProperty : 'id',
          totalProperty : 'total'
        }

        // Don't want proxy to include these params in requests
        /*
         pageParam : undefined,
         startParam : undefined,
         limitParam : undefined,
         sortParam : undefined,
         directionParam : undefined,
         filterParam : undefined,
         groupParam : undefined
         */
      }
    } );

    me.callParent( [config] );
  }
} );
