/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.customization.gui.navigation.TabStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.customization.gui.navigation.Tab',
    'QDesk.util.constant.ActionUrl'
  ],

  autoLoad : true,
  storeId : 'customization.gui.navigation.TabStore',

  model : 'QDesk.model.customization.gui.navigation.Tab',

  /* Server-side filtering */
  remoteFilter : false,

  /* Server-side sorting */
  remoteSort : false,

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      proxy : {
        type : 'ajax',

        url : QDesk.util.constant.ActionUrl.customizationGuiGetNavigationPanelDefinition,

        reader : {
          type : 'json',
          rootProperty : 'data',
          successProperty : 'success',
          idProperty : 'itemId',
          totalProperty : 'total'
        },

        /* Disables paging */
        pageParam : undefined,
        startParam : undefined,
        limitParam : undefined
      }
    } );

    me.callParent( [config] );
  }
} );
