/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.JmxProtocolStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.JmxProtocol',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.JmxProtocolStore',

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.JmxProtocol.RMI,
          valueLabel : QDesk.util.EnumUtils.getProtocolName( QDesk.enums.JmxProtocol.RMI )
        },
        {
          value : QDesk.enums.JmxProtocol.JMXMP,
          valueLabel : QDesk.util.EnumUtils.getProtocolName( QDesk.enums.JmxProtocol.JMXMP )
        },
        {
          value : QDesk.enums.JmxProtocol.REMOTING_JMX,
          valueLabel : QDesk.util.EnumUtils.getProtocolName( QDesk.enums.JmxProtocol.REMOTING_JMX )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );