/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.JsLoggingLevelStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.JsLoggingLevel',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.JsLoggingLevelStore',

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.JsLoggingLevel.NONE,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.enums.JsLoggingLevel.NONE )
        },
        {
          value : QDesk.enums.JsLoggingLevel.DEBUG,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.enums.JsLoggingLevel.DEBUG )
        },
        {
          value : QDesk.enums.JsLoggingLevel.INFO,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.enums.JsLoggingLevel.INFO )
        },
        {
          value : QDesk.enums.JsLoggingLevel.WARN,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.enums.JsLoggingLevel.WARN )
        },
        {
          value : QDesk.enums.JsLoggingLevel.ERROR,
          valueLabel : QDesk.util.EnumUtils.getJsLoggingLevelName( QDesk.enums.JsLoggingLevel.ERROR )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );