/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.MessageChannelStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.message.MessageChannel',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.MessageChannelStore',

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.message.MessageChannel.EMAIL,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.EMAIL )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_AIM,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_AIM )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_GTALK,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_GTALK )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_ICQ,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_ICQ )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_SKYPE,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_SKYPE )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_XMPP,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_XMPP )
        },
        {
          value : QDesk.enums.message.MessageChannel.IM_YAHOO,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.IM_YAHOO )
        },
        {
          value : QDesk.enums.message.MessageChannel.SNMPV1_TRAP,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SNMPV1_TRAP )
        },
        {
          value : QDesk.enums.message.MessageChannel.SNMPV2C_TRAP,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SNMPV2C_TRAP )
        },
        {
          value : QDesk.enums.message.MessageChannel.SNMPV3_TRAP,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.SNMPV3_TRAP )
        },
        {
          value : QDesk.enums.message.MessageChannel.WEB_SERVICE,
          valueLabel : QDesk.util.EnumUtils.getMessageChannelName( QDesk.enums.message.MessageChannel.WEB_SERVICE )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );