/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.NotificationSeverityStore', {
  extend: 'Ext.data.Store',

  requires: [
    'QDesk.enums.NotificationSeverity',
    'QDesk.util.EnumUtils'
  ],

  storeId: 'enums.NotificationSeverityStore',

  fields: ['value', 'valueLabel'],

  constructor: function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data: [
        {
          value: QDesk.enums.NotificationSeverity.INFO,
          valueLabel: QDesk.util.EnumUtils.getNotificationSeverityName( QDesk.enums.NotificationSeverity.INFO )
        },
        {
          value: QDesk.enums.NotificationSeverity.WARNING,
          valueLabel: QDesk.util.EnumUtils.getNotificationSeverityName( QDesk.enums.NotificationSeverity.WARNING )
        },
        {
          value: QDesk.enums.NotificationSeverity.ERROR,
          valueLabel: QDesk.util.EnumUtils.getNotificationSeverityName( QDesk.enums.NotificationSeverity.ERROR )
        },
        {
          value: QDesk.enums.NotificationSeverity.FATAL,
          valueLabel: QDesk.util.EnumUtils.getNotificationSeverityName( QDesk.enums.NotificationSeverity.FATAL )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );