/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.ProxyTypeStore', {
  extend: 'Ext.data.Store',

  requires: [
    'QDesk.Msg',
    'QDesk.enums.ProxyType',
    'QDesk.util.EnumUtils'
  ],

  storeId: 'enums.ProxyTypeStore',

  fields: ['value', 'valueLabel'],

  constructor: function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data: [
        {
          value: '',
          valueLabel: QDesk.Msg.get( 'QDesk.none' )
        },
        {
          value: QDesk.enums.ProxyType.HTTP,
          valueLabel: QDesk.util.EnumUtils.getProxyTypeName( QDesk.enums.ProxyType.HTTP )
        },
        {
          value: QDesk.enums.ProxyType.SOCKS4,
          valueLabel: QDesk.util.EnumUtils.getProxyTypeName( QDesk.enums.ProxyType.SOCKS4 )
        },
        {
          value: QDesk.enums.ProxyType.SOCKS5,
          valueLabel: QDesk.util.EnumUtils.getProxyTypeName( QDesk.enums.ProxyType.SOCKS5 )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );