/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.SnmpV3AuthenticationProtocolStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.Msg',
    'QDesk.enums.SnmpV3AuthenticationProtocol',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.SnmpV3AuthenticationProtocolStore',

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.SnmpV3AuthenticationProtocol.MD5,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3AuthenticationProtocolName( QDesk.enums.SnmpV3AuthenticationProtocol.MD5 )
        },
        {
          value : QDesk.enums.SnmpV3AuthenticationProtocol.SHA,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3AuthenticationProtocolName( QDesk.enums.SnmpV3AuthenticationProtocol.SHA )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );