/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.SnmpV3PrivacyProtocolStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.Msg',
    'QDesk.enums.SnmpV3PrivacyProtocol',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.SnmpV3PrivacyProtocolStore',

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.SnmpV3PrivacyProtocol.DES,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3PrivacyProtocolName( QDesk.enums.SnmpV3PrivacyProtocol.DES )
        },
        {
          value : QDesk.enums.SnmpV3PrivacyProtocol.TRIPLE_DES,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3PrivacyProtocolName( QDesk.enums.SnmpV3PrivacyProtocol.TRIPLE_DES )
        },
        {
          value : QDesk.enums.SnmpV3PrivacyProtocol.AES_128,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3PrivacyProtocolName( QDesk.enums.SnmpV3PrivacyProtocol.AES_128 )
        },
        {
          value : QDesk.enums.SnmpV3PrivacyProtocol.AES_192,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3PrivacyProtocolName( QDesk.enums.SnmpV3PrivacyProtocol.AES_192 )
        },
        {
          value : QDesk.enums.SnmpV3PrivacyProtocol.AES_256,
          valueLabel : QDesk.util.EnumUtils.getSnmpV3PrivacyProtocolName( QDesk.enums.SnmpV3PrivacyProtocol.AES_256 )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );