/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.WSAuthenticationTypeStore', {
  extend: 'Ext.data.Store',

  requires: [
    'QDesk.Msg',
    'QDesk.enums.WSAuthenticationType',
    'QDesk.util.EnumUtils'
  ],

  storeId: 'enums.WSAuthenticationTypeStore',

  fields: ['value', 'valueLabel'],

  constructor: function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data: [
        {
          value: '',
          valueLabel: QDesk.Msg.get( 'QDesk.none' )
        },
        {
          value: QDesk.enums.WSAuthenticationType.HTTP_BASIC,
          valueLabel: QDesk.util.EnumUtils.getWSAuthenticationTypeName( QDesk.enums.WSAuthenticationType.HTTP_BASIC )
        },
        {
          value: QDesk.enums.WSAuthenticationType.WSS_USERNAME_TOKEN,
          valueLabel: QDesk.util.EnumUtils.getWSAuthenticationTypeName( QDesk.enums.WSAuthenticationType.WSS_USERNAME_TOKEN )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );