/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.scheduler.JobChainTargetExecTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.scheduler.JobChainTargetExecType',
    'QDesk.util.EnumUtils'
  ],

  storeId : 'enums.scheduler.JobChainTargetExecTypeStore',

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.scheduler.JobChainTargetExecType.IMMEDIATE,
          valueLabel : QDesk.util.EnumUtils.getJobChainTargetExecTypeName( QDesk.enums.scheduler.JobChainTargetExecType.IMMEDIATE )
        },
        {
          value : QDesk.enums.scheduler.JobChainTargetExecType.DELAYED,
          valueLabel : QDesk.util.EnumUtils.getJobChainTargetExecTypeName( QDesk.enums.scheduler.JobChainTargetExecType.DELAYED )
        },
        {
          value : QDesk.enums.scheduler.JobChainTargetExecType.DATE_EXPRESSION,
          valueLabel : QDesk.util.EnumUtils.getJobChainTargetExecTypeName( QDesk.enums.scheduler.JobChainTargetExecType.DATE_EXPRESSION )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );