/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.scheduler.quartz.CalendarIntervalTriggerMisfireInstructionStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.scheduler.quartz.CalendarIntervalTriggerMisfireInstruction',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.schedulerVersion )
      Ext.Error.raise( 'Required config parameter missing: qdesk.schedulerVersion' );

    var data = [];

    data.push( {
      value : -1,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getCalendarIntervalTriggerMisfireInstructionName( QDesk.enums.scheduler.quartz.CalendarIntervalTriggerMisfireInstruction.IGNORE_MISFIRE_POLICY )
    } );

    data.push( {
      value : 0,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getCalendarIntervalTriggerMisfireInstructionName( QDesk.enums.scheduler.quartz.CalendarIntervalTriggerMisfireInstruction.SMART_POLICY )
    } );

    data.push( {
      value : 1,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getCalendarIntervalTriggerMisfireInstructionName( QDesk.enums.scheduler.quartz.CalendarIntervalTriggerMisfireInstruction.FIRE_ONCE_NOW )
    } );

    data.push( {
      value : 2,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getCalendarIntervalTriggerMisfireInstructionName( QDesk.enums.scheduler.quartz.CalendarIntervalTriggerMisfireInstruction.DO_NOTHING )
    } );

    Ext.apply( config, {
      data : data
    } );

    me.callParent( [config] );
  }
} );