/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.scheduler.quartz.IntervalTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.scheduler.quartz.IntervalType',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.schedulerVersion )
      Ext.Error.raise( 'Required config parameter missing: qdesk.schedulerVersion' );

    var data = [];

    data.push( {
      value : QDesk.enums.scheduler.quartz.IntervalType.WEEKLY,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getIntervalTypeName( QDesk.enums.scheduler.quartz.IntervalType.WEEKLY )
    } );

    data.push( {
      value : QDesk.enums.scheduler.quartz.IntervalType.MONTHLY,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getIntervalTypeName( QDesk.enums.scheduler.quartz.IntervalType.MONTHLY )
    } );

    data.push( {
      value : QDesk.enums.scheduler.quartz.IntervalType.YEARLY,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getIntervalTypeName( QDesk.enums.scheduler.quartz.IntervalType.YEARLY )
    } );

    Ext.apply( config, {
      data : data
    } );

    me.callParent( [config] );
  }
} );