/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.enums.scheduler.quartz.NthIncludedDayTriggerMisfireInstructionStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.scheduler.quartz.NthIncludedDayTriggerMisfireInstruction',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.schedulerVersion )
      Ext.Error.raise( 'Required config parameter missing: qdesk.schedulerVersion' );

    var data = [];

    data.push( {
      value : 0,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getNthIncludedDayTriggerMisfireInstructionName( QDesk.enums.scheduler.quartz.NthIncludedDayTriggerMisfireInstruction.SMART_POLICY )
    } );

    data.push( {
      value : 1,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getNthIncludedDayTriggerMisfireInstructionName( QDesk.enums.scheduler.quartz.NthIncludedDayTriggerMisfireInstruction.FIRE_ONCE_NOW )
    } );

    data.push( {
      value : 2,
      valueLabel : QDesk.util.quartz.QuartzEnumUtils.getNthIncludedDayTriggerMisfireInstructionName( QDesk.enums.scheduler.quartz.NthIncludedDayTriggerMisfireInstruction.DO_NOTHING )
    } );

    Ext.apply( config, {
      data : data
    } );

    me.callParent( [config] );
  }
} );