/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.QuartzCalendarStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.scheduler.quartz.QuartzCalendar',
    'QDesk.util.constant.ActionUrl'
  ],

  model : 'QDesk.model.scheduler.quartz.QuartzCalendar',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      proxy : {
        type : 'ajax',

        url : QDesk.util.constant.ActionUrl.quartz.calendarActionList,

        reader : {
          type : 'json',
          rootProperty : 'data',
          idProperty : 'id',
          successProperty : 'success'
        },

        // Don't want to include these params in request
        pageParam : undefined,
        startParam : undefined,
        limitParam : undefined,
        sortParam : undefined,
        directionParam : undefined,
        filterParam : undefined,
        groupParam : undefined
      }
    } );

    me.callParent( [config] );
  }
} );
