/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore', {
  extend : 'Ext.data.TreeStore',

  requires : [
    'QDesk.model.MessageMacroTreeNode'
  ],

  model : 'QDesk.model.MessageMacroTreeNode',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var root = {
      children : [
        /* ExecHistory record */
        {
          macroName : 'execHistory',
          alwaysAvailable : true,
          description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory' ),
          leaf : false,
          children : [
            {
              macroName : 'execHistory.id',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.execHistoryId' ),
              leaf : true
            },
            {
              macroName : 'execHistory.startedAt',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.startedAt' ),
              leaf : true
            },
            {
              macroName : 'execHistory.finishedAt',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.finishedAt' ),
              leaf : true
            },
            {
              macroName : 'execHistory.duration',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.duration' ),
              leaf : true
            },
            {
              macroName : 'execHistory.execStatus',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.execStatus' ),
              leaf : true
            },

            /* Scheduler info */
            {
              macroName : 'execHistory.schedulerObjectName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.schedulerObjectName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.schedulerVersion',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.schedulerVersion' ),
              leaf : true
            },
            {
              macroName : 'execHistory.schedulerName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.schedulerName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.schedulerInstanceId',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.schedulerInstanceId' ),
              leaf : true
            },

            /* Job info */
            {
              macroName : 'execHistory.jobClassName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jobClassName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.jobClassLocation',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jobClassLocation' ),
              leaf : true
            },
            {
              macroName : 'execHistory.jobGroupName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jobGroupName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.jobName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jobName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.triggerGroupName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.triggerGroupName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.triggerName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.triggerName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.calendarName',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.calendarName' ),
              leaf : true
            },

            /* Blobs */
            {
              macroName : 'execHistory.result',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.result' ),
              leaf : true
            },
            {
              macroName : 'execHistory.userData',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.userData' ),
              leaf : true
            },
            {
              macroName : 'execHistory.error',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.error' ),
              leaf : true
            },
            {
              macroName : 'execHistory.log',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.log' ),
              leaf : true
            },

            /* Thread info */
            {
              macroName : 'execHistory.threadGroupName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.threadGroupName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.threadName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.threadName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.threadPriority',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.threadPriority' ),
              leaf : true
            },

            /* Host info */
            {
              macroName : 'execHistory.hostName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.hostName' ),
              leaf : true
            },

            /* JVM info */
            {
              macroName : 'execHistory.jvmPid',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jvmPid' ),
              leaf : true
            },
            {
              macroName : 'execHistory.jvmName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jvmName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.jvmVendor',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jvmVendor' ),
              leaf : true
            },
            {
              macroName : 'execHistory.jvmVersion',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jvmVersion' ),
              leaf : true
            },
            {
              macroName : 'execHistory.jvmRuntimeVersion',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.jvmRuntimeVersion' ),
              leaf : true
            },

            /* OS info */
            {
              macroName : 'execHistory.osName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.osName' ),
              leaf : true
            },
            {
              macroName : 'execHistory.osArch',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.execHistory.osArch' ),
              leaf : true
            }
          ]
        },

        /* Preceding ExecHistory record */
        {
          macroName : 'precedingExecHistory',
          alwaysAvailable : false,
          description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory' ),
          leaf : false,
          children : [
            {
              macroName : 'precedingExecHistory.id',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.execHistoryId' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.startedAt',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.startedAt' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.finishedAt',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.finishedAt' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.duration',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.duration' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.execStatus',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.execStatus' ),
              leaf : true
            },

            /* Scheduler info */
            {
              macroName : 'precedingExecHistory.schedulerObjectName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.schedulerObjectName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.schedulerVersion',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.schedulerVersion' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.schedulerName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.schedulerName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.schedulerInstanceId',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.schedulerInstanceId' ),
              leaf : true
            },

            /* Job info */
            {
              macroName : 'precedingExecHistory.jobClassName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jobClassName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.jobClassLocation',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jobClassLocation' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.jobGroupName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jobGroupName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.jobName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jobName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.triggerGroupName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.triggerGroupName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.triggerName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.triggerName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.calendarName',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.calendarName' ),
              leaf : true
            },

            /* Blobs */
            {
              macroName : 'precedingExecHistory.result',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.result' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.userData',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.userData' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.error',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.error' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.log',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.log' ),
              leaf : true
            },

            /* Thread info */
            {
              macroName : 'precedingExecHistory.threadGroupName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.threadGroupName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.threadName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.threadName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.threadPriority',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.threadPriority' ),
              leaf : true
            },

            /* Host info */
            {
              macroName : 'precedingExecHistory.hostName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.hostName' ),
              leaf : true
            },

            /* JVM info */
            {
              macroName : 'precedingExecHistory.jvmPid',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jvmPid' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.jvmName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jvmName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.jvmVendor',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jvmVendor' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.jvmVersion',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jvmVersion' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.jvmRuntimeVersion',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.jvmRuntimeVersion' ),
              leaf : true
            },

            /* OS info */
            {
              macroName : 'precedingExecHistory.osName',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.osName' ),
              leaf : true
            },
            {
              macroName : 'precedingExecHistory.osArch',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore.precedingExecHistory.osArch' ),
              leaf : true
            }
          ]
        }
      ]
    };

    Ext.apply( config, {
      root : root
    } );

    me.callParent( [config] );
  }
} )
;
