/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore', {
  extend : 'Ext.data.TreeStore',

  requires : [
    'QDesk.model.JSScriptingObjectTreeNode'
  ],

  model : 'QDesk.model.JSScriptingObjectTreeNode',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var root = {
      children : [
        /* ExecHistory record */
        {
          propertyName : 'execHistory',
          propertyType : 'Object',
          alwaysAvailable : true,
          description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory' ),
          leaf : false,
          children : [
            {
              propertyName : 'id',
              propertyType : 'Number',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.execHistoryId' ),
              leaf : true
            },
            {
              propertyName : 'startedAt',
              propertyType : 'Date',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.startedAt' ),
              leaf : true
            },
            {
              propertyName : 'finishedAt',
              propertyType : 'Date',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.finishedAt' ),
              leaf : true
            },
            {
              propertyName : 'duration',
              propertyType : 'Number',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.duration' ),
              leaf : true
            },
            {
              propertyName : 'execStatus',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.execStatus' ),
              leaf : true
            },

            /* Scheduler info */
            {
              propertyName : 'schedulerObjectName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.schedulerObjectName' ),
              leaf : true
            },
            {
              propertyName : 'schedulerVersion',
              propertyType : 'Object',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.schedulerVersion' ),
              leaf : false,
              children : [
                {
                  propertyName : 'major',
                  propertyType : 'Number',
                  alwaysAvailable : true,
                  description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.schedulerVersion.major' ),
                  leaf : true
                },
                {
                  propertyName : 'minor',
                  propertyType : 'Number',
                  alwaysAvailable : true,
                  description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.schedulerVersion.minor' ),
                  leaf : true
                },
                {
                  propertyName : 'maintenance',
                  propertyType : 'Number',
                  alwaysAvailable : false,
                  description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.schedulerVersion.maintenance' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'schedulerName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.schedulerName' ),
              leaf : true
            },
            {
              propertyName : 'schedulerInstanceId',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.schedulerInstanceId' ),
              leaf : true
            },

            /* Job info */
            {
              propertyName : 'jobClassName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jobClassName' ),
              leaf : true
            },
            {
              propertyName : 'jobClassLocation',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jobClassLocation' ),
              leaf : true
            },
            {
              propertyName : 'jobGroupName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jobGroupName' ),
              leaf : true
            },
            {
              propertyName : 'jobName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jobName' ),
              leaf : true
            },
            {
              propertyName : 'jobDataMap',
              propertyType : 'Array',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jobDataMap' ),
              leaf : true
            },
            {
              propertyName : 'triggerGroupName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.triggerGroupName' ),
              leaf : true
            },
            {
              propertyName : 'triggerName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.triggerName' ),
              leaf : true
            },
            {
              propertyName : 'calendarName',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.calendarName' ),
              leaf : true
            },

            /* Blobs */
            {
              propertyName : 'result',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.result' ),
              leaf : true
            },
            {
              propertyName : 'userData',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.userData' ),
              leaf : true
            },
            {
              propertyName : 'error',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.error' ),
              leaf : true
            },
            {
              propertyName : 'log',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.log' ),
              leaf : true
            },

            /* Thread info */
            {
              propertyName : 'threadGroupName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.threadGroupName' ),
              leaf : true
            },
            {
              propertyName : 'threadName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.threadName' ),
              leaf : true
            },
            {
              propertyName : 'threadPriority',
              propertyType : 'Number',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.threadPriority' ),
              leaf : true
            },

            /* Host info */
            {
              propertyName : 'hostName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.hostName' ),
              leaf : true
            },

            /* JVM info */
            {
              propertyName : 'jvmPid',
              propertyType : 'Number',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jvmPid' ),
              leaf : true
            },
            {
              propertyName : 'jvmName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jvmName' ),
              leaf : true
            },
            {
              propertyName : 'jvmVendor',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jvmVendor' ),
              leaf : true
            },
            {
              propertyName : 'jvmVersion',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jvmVersion' ),
              leaf : true
            },
            {
              propertyName : 'jvmRuntimeVersion',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.jvmRuntimeVersion' ),
              leaf : true
            },

            /* OS info */
            {
              propertyName : 'osName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.osName' ),
              leaf : true
            },
            {
              propertyName : 'osArch',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.execHistory.osArch' ),
              leaf : true
            }
          ]
        },

        /* Preceding ExecHistory record */
        {
          propertyName : 'precedingExecHistory',
          propertyType : 'Object',
          alwaysAvailable : false,
          description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory' ),
          leaf : false,
          children : [
            {
              propertyName : 'id',
              propertyType : 'Number',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.execHistoryId' ),
              leaf : true
            },
            {
              propertyName : 'startedAt',
              propertyType : 'Date',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.startedAt' ),
              leaf : true
            },
            {
              propertyName : 'finishedAt',
              propertyType : 'Date',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.finishedAt' ),
              leaf : true
            },
            {
              propertyName : 'duration',
              propertyType : 'Number',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.duration' ),
              leaf : true
            },
            {
              propertyName : 'execStatus',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.execStatus' ),
              leaf : true
            },

            /* Scheduler info */
            {
              propertyName : 'schedulerObjectName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.schedulerObjectName' ),
              leaf : true
            },
            {
              propertyName : 'schedulerVersion',
              propertyType : 'Object',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.schedulerVersion' ),
              leaf : false,
              children : [
                {
                  propertyName : 'major',
                  propertyType : 'Number',
                  alwaysAvailable : true,
                  description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.schedulerVersion.major' ),
                  leaf : true
                },
                {
                  propertyName : 'minor',
                  propertyType : 'Number',
                  alwaysAvailable : true,
                  description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.schedulerVersion.minor' ),
                  leaf : true
                },
                {
                  propertyName : 'maintenance',
                  propertyType : 'Number',
                  alwaysAvailable : false,
                  description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.schedulerVersion.maintenance' ),
                  leaf : true
                }
              ]
            },
            {
              propertyName : 'schedulerName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.schedulerName' ),
              leaf : true
            },
            {
              propertyName : 'schedulerInstanceId',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.schedulerInstanceId' ),
              leaf : true
            },

            /* Job info */
            {
              propertyName : 'jobClassName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jobClassName' ),
              leaf : true
            },
            {
              propertyName : 'jobClassLocation',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jobClassLocation' ),
              leaf : true
            },
            {
              propertyName : 'jobGroupName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jobGroupName' ),
              leaf : true
            },
            {
              propertyName : 'jobName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jobName' ),
              leaf : true
            },
            {
              propertyName : 'jobDataMap',
              propertyType : 'Array',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jobDataMap' ),
              leaf : true
            },
            {
              propertyName : 'triggerGroupName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.triggerGroupName' ),
              leaf : true
            },
            {
              propertyName : 'triggerName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.triggerName' ),
              leaf : true
            },
            {
              propertyName : 'calendarName',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.calendarName' ),
              leaf : true
            },

            /* Blobs */
            {
              propertyName : 'result',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.result' ),
              leaf : true
            },
            {
              propertyName : 'userData',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.userData' ),
              leaf : true
            },
            {
              propertyName : 'error',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.error' ),
              leaf : true
            },
            {
              propertyName : 'log',
              propertyType : 'String',
              alwaysAvailable : false,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.log' ),
              leaf : true
            },

            /* Thread info */
            {
              propertyName : 'threadGroupName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.threadGroupName' ),
              leaf : true
            },
            {
              propertyName : 'threadName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.threadName' ),
              leaf : true
            },
            {
              propertyName : 'threadPriority',
              propertyType : 'Number',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.threadPriority' ),
              leaf : true
            },

            /* Host info */
            {
              propertyName : 'hostName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.hostName' ),
              leaf : true
            },

            /* JVM info */
            {
              propertyName : 'jvmPid',
              propertyType : 'Number',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jvmPid' ),
              leaf : true
            },
            {
              propertyName : 'jvmName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jvmName' ),
              leaf : true
            },
            {
              propertyName : 'jvmVendor',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jvmVendor' ),
              leaf : true
            },
            {
              propertyName : 'jvmVersion',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jvmVersion' ),
              leaf : true
            },
            {
              propertyName : 'jvmRuntimeVersion',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.jvmRuntimeVersion' ),
              leaf : true
            },

            /* OS info */
            {
              propertyName : 'osName',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.osName' ),
              leaf : true
            },
            {
              propertyName : 'osArch',
              propertyType : 'String',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.precedingExecHistory.osArch' ),
              leaf : true
            }
          ]
        },

        {
          propertyName : 'log',
          propertyType : 'Object',
          alwaysAvailable : true,
          description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.log' ),
          leaf : false,
          children : [
            {
              propertyName : 'trace',
              propertyType : 'Function',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.log.trace' ),
              leaf : true
            },
            {
              propertyName : 'debug',
              propertyType : 'Function',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.log.debug' ),
              leaf : true
            },
            {
              propertyName : 'info',
              propertyType : 'Function',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.log.info' ),
              leaf : true
            },
            {
              propertyName : 'warn',
              propertyType : 'Function',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.log.warn' ),
              leaf : true
            },
            {
              propertyName : 'error',
              propertyType : 'Function',
              alwaysAvailable : true,
              description : QDesk.Msg.get( 'QDesk.store.scheduler.quartz.QuartzJSScriptingObjectsStore.log.error' ),
              leaf : true
            }
          ]
        }
      ]
    };

    Ext.apply( config, {
      root : root
    } );

    me.callParent( [config] );
  }
} )
;
