/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.QuartzTriggerGroupStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.model.scheduler.quartz.QuartzTriggerGroup',
    'QDesk.util.constant.ActionUrl'
  ],

  model : 'QDesk.model.scheduler.quartz.QuartzTriggerGroup',

  /* Server-side filtering */
  remoteFilter : true,

  /* Server-side sorting */
  remoteSort : true,

  /* Initial sort */
  sorters : [
    {
      property : 'name',
      direction : 'ASC'
    }
  ],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      proxy : {
        type : 'ajax',

        url : QDesk.util.constant.ActionUrl.quartz.triggerGroupActionList,

        reader : {
          type : 'json',
          rootProperty : 'data',
          successProperty : 'success',
          idProperty : 'id',
          totalProperty : 'total'
        },

        /* Disables paging */
        pageParam : undefined,
        startParam : undefined,
        limitParam : undefined
      }
    } );

    me.callParent( [config] );
  }
} );
