/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.store.scheduler.quartz.stats.QuartzJobStatisticsTypeStore', {
  extend : 'Ext.data.Store',

  requires : [
    'QDesk.enums.scheduler.quartz.JobStatisticsType',
    'QDesk.util.quartz.QuartzEnumUtils'
  ],

  fields : ['value', 'valueLabel'],

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      data : [
        {
          value : QDesk.enums.scheduler.quartz.JobStatisticsType.JOB_EXEC_TIME,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getJobStatisticsTypeName( QDesk.enums.scheduler.quartz.JobStatisticsType.JOB_EXEC_TIME )
        },
        {
          value : QDesk.enums.scheduler.quartz.JobStatisticsType.JOB_EXEC_COUNT,
          valueLabel : QDesk.util.quartz.QuartzEnumUtils.getJobStatisticsTypeName( QDesk.enums.scheduler.quartz.JobStatisticsType.JOB_EXEC_COUNT )
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
