/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */


Ext.define( 'QDesk.util.FormUtils', {
  requires : [
    'QDesk.Log'
  ],

  singleton : true,

  /**
   * Inserts the specified text at the current cursor position in the specified
   * textfield, or texarea.
   * @param textField a text field.
   * @param text a text to insert.
   */
  insertTextAtCursor : function ( textField, text )
  {
    var caretPosition = textField.getCaretPosition();

    // if caret position is not available, text will be inserted at the beginning
    if ( caretPosition == null )
      caretPosition = 0;

    var inputId = textField.getInputId();
    var inputField = Ext.get( inputId ).dom;

    inputField.value = inputField.value.substring( 0, caretPosition )
        + text
        + inputField.value.substring( caretPosition, inputField.value.length );

    textField.setCaretPosition( caretPosition + text.length );

    textField.validate();  // required to revalidate the text field
  }
} );
