/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.config.colors.ColorsPanel', {
  extend : 'QDesk.view.base.BaseConfigFormPanel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ColorsPanel',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'fieldset',
          fieldDefaults : {
            labelWidth : 80
          },
          title : QDesk.Msg.get( 'QDesk.view.main.config.colors.ColorsPanel.fieldsetLabelError' ),
          items : [
            {
              xtype : 'colorfield',
              itemId : 'errorColor',
              name : 'viewError.textColor',
              fieldLabel : QDesk.Msg.get( 'QDesk.view.main.config.colors.ColorsPanel.fieldLabelError' ),
              fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.config.colors.ColorsPanel.fieldTooltipError' ),
              allowBlank : false
            }
          ],
          qdesk : {
            licensedFor : [
              QDesk.enums.ProductEdition.STANDARD,
              QDesk.enums.ProductEdition.ENTERPRISE
            ]
          }
        }
      ]
    } );

    me.callParent( [config] );
  },


  initComponent : function ()
  {
    var me = this;

    me.callParent();
  }
} );
