/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.FolderPanel', {
  extend : 'Ext.form.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.FolderPanel',

  layout : {
    type : 'vbox',
    align : 'stretch',
    pack : 'start'
  },

  border : false,

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'hiddenfield',
          name : 'id'
        },

        {
          xtype : 'panel',
          border : false,
          layout : 'anchor',
          defaults : {
            anchor : '100%',
            labelWidth : 50
          },
          bodyPadding : '10px 10px 5px 10px',
          items : [
            {
              xtype : 'textfield',
              itemId : 'name',
              name : 'name',
              fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.FolderPanel.fieldLabelName' ),
              fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.FolderPanel.fieldTooltipName' ),
              emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.FolderPanel.fieldEmptyTxtName' ),
              allowBlank : false,
              qdesk : {
                required : true
              }
            }
          ]
        }
      ],

      buttons : [
//    {
//      itemId: 'resetButton',
//      text: QDesk.Msg.get( 'QDesk.buttonLabelReset' )
//    },
        {
          itemId : 'saveButton',
          text : QDesk.Msg.get( 'QDesk.buttonLabelSave' ),
          formBind : true
        }
      ]
    } );

    me.callParent( [config] );
  },


  /**
   * Populates this form panel from the specified folder object.
   * @param folder a folder object.
   */
  populate : function ( folder )
  {
    var me = this;

    var values = {};

    Ext.apply( values, {
      id : folder.folderId,  // use folderId (number) rather then id (textual node ID)
      name : folder.name
    } );

    me.getForm().setValues( values );

    // if root node
    if ( folder.folderId == 1 )
    {
      me.down( '#name' ).setDisabled( true );
//      me.down( '#resetButton' ).hide();
      me.down( '#saveButton' ).hide();
    }
  }
} );
