/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.MessageChannelProfilesWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg',
    'QDesk.view.main.message.channel.MessageChannelProfilesTreePanel',
    'QDesk.view.main.message.channel.email.EmailProfilePanel',
    'QDesk.view.main.message.channel.im_aim.ImAimProfilePanel',
    'QDesk.view.main.message.channel.im_gtalk.ImGTalkProfilePanel',
    'QDesk.view.main.message.channel.im_icq.ImIcqProfilePanel',
    'QDesk.view.main.message.channel.im_skype.ImSkypeProfilePanel',
    'QDesk.view.main.message.channel.im_xmpp.ImXmppProfilePanel',
    'QDesk.view.main.message.channel.im_yahoo.ImYahooProfilePanel',
    'QDesk.view.main.message.channel.web_service.WebServiceProfilePanel'
  ],

  alias : 'widget.MessageChannelProfilesWindow',

  cls : 'messageChannelProfilesWindow',
  iconCls : 'messageChannelProfilesWindowIcon',

  modal : true,
  resizable : true,

  width : 700,
  minWidth : 700,

  height : 520,
  minHeight : 520,

  layout : {
    type : 'border'
  },

  qdesk : {
  },


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.message.channel.MessageChannelProfilesWindow.windowTitle' ),

      items : [
        {
          xtype : 'MessageChannelProfilesTreePanel',
          itemId : 'messageChannelProfilesTreePanel',
          region : 'west',
          split : true,
          header : false,
          collapsible : true,
          collapseMode : 'mini',
          width : 250
        },
        {
          xtype : 'panel',
          itemId : 'editPanel',
          region : 'center',
          layout : 'card',
          items : [
            {
              xtype : 'panel',
              itemId : 'infoPanel',
              border : false,
              cls : 'infoPanel',
              bodyPadding : '10px',
              html : QDesk.Msg.get( 'QDesk.view.main.message.channel.MessageChannelProfilesWindow.infoText' )
            }
          ]
        }
      ],

      dockedItems : [
        {
          xtype : 'toolbar',
          dock : 'bottom',
          ui : 'footer',
          defaults : {
            minWidth : 75
          },
          items : [
            {
              xtype : 'component',
              flex : 1
            },
            {
              xtype : 'button',
              itemId : 'closeButton',
              text : QDesk.Msg.get( 'QDesk.buttonLabelClose' )
            }
          ]
        }
      ]
    } );

    me.callParent( [config] );

    me.down( '#closeButton' ).on( 'click', function ()
    {
      me.close();
    } )
  }
} )
;
