/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.SendTestMessageRecipientsForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg',
    'QDesk.view.base.BaseFormPanel'
  ],

  alias : 'widget.SendTestMessageRecipientsForm',


  qdesk : {
    /*
     * Message channel (see QDesk.enums.message.MessageChannel).
     */
    messageChannel : undefined
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.messageChannel )
      Ext.Error.raise( 'Required config parameter missing: qdesk.messageChannel' );

    Ext.apply( config, {
      items : [
        {
          xtype : 'textfield',
          itemId : 'recipients',
          name : 'recipients',
          emptyText : me._getRecipientsEmptyText( config.qdesk.messageChannel ),
          allowBlank : false
        }
      ],

      buttons : [
        {
          itemId : 'cancelButton',
          text : QDesk.Msg.get( 'QDesk.buttonLabelCancel' )
        },
        {
          itemId : 'sendButton',
          text : QDesk.Msg.get( 'QDesk.buttonLabelSend' ),
          formBind : true
        }
      ]
    } );

    me.callParent( [config] );
  },


  _getRecipientsEmptyText : function ( messageChannel )
  {
    var emptyTextKey = 'QDesk.view.main.message.channel.SendTestMessageRecipientsForm.emptyText.';
    emptyTextKey += messageChannel;

    return QDesk.Msg.get( emptyTextKey );
  }
} );
