/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.SendTestMessageRecipientsWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg',
    'QDesk.view.main.message.channel.SendTestMessageRecipientsForm'
  ],

  alias : 'widget.SendTestMessageRecipientsWindow',

  cls : 'sendTestMessageRecipientsWindow',
  iconCls : 'sendTestMessageRecipientsWindowIcon',

  scrollable : true,

  modal : true,
  resizable : false,

  width : 450,

  qdesk : {
    /*
     * Message channel (see QDesk.enums.message.MessageChannel).
     */
    messageChannel : undefined
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.messageChannel )
      Ext.Error.raise( 'Required config parameter missing: qdesk.messageChannel' );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.message.channel.SendTestMessageRecipientsWindow.windowTitle' ),
      items : [
        {
          xtype : 'SendTestMessageRecipientsForm',
          itemId : 'form',

          qdesk : {
            messageChannel : config.qdesk.messageChannel
          }
        }
      ]
    } );

    me.callParent( [config] );

    me.down( '#cancelButton' ).on( 'click', function ()
    {
      me.close();
    } )
  }
} );