/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.im_aim.ImAimAdvancedPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImAimAdvancedPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 80
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimAdvancedPanel.tabLabelAdvanced' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'loginHost',
          name : 'loginHost',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimAdvancedPanel.fieldLabelLoginHost' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimAdvancedPanel.fieldTooltipLoginHost' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimAdvancedPanel.fieldEmptyTxtLoginHost' ),
          value : 'login.oscar.aol.com',
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'numberfield',
          itemId : 'loginPort',
          name : 'loginPort',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimAdvancedPanel.fieldLabelLoginPort' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimAdvancedPanel.fieldTooltipLoginPort' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_aim.ImAimAdvancedPanel.fieldEmptyTxtLoginPort' ),
          value : 5190,
          minValue : 1,
          maxValue : 65535,
          anchor : '60%',
          allowBlank : false,
          qdesk : {
            required : true
          }
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
