/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImGTalkAdvancedPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 95
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.tabLabelAdvanced' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'serviceName',
          name : 'serviceName',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldLabelServiceName' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldTooltipServiceName' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldEmptyTxtServiceName' ),
          value : 'gmail.com',
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'host',
          name : 'host',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldLabelHost' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldTooltipHost' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldEmptyTxtHost' ),
          value : 'talk.google.com',
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'numberfield',
          itemId : 'port',
          name : 'port',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldLabelPort' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldTooltipPort' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_gtalk.ImGTalkAdvancedPanel.fieldEmptyTxtPort' ),
          value : 5222,
          minValue : 1,
          maxValue : 65535,
          anchor : '60%',
          allowBlank : false,
          qdesk : {
            required : true
          }
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
