/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.im_icq.ImIcqBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImIcqBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 75
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'username',
          name : 'username',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqBasicPanel.fieldLabelUsername' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqBasicPanel.fieldTooltipUsername' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqBasicPanel.fieldEmptyTxtUsername' ),
          allowBlank : false,
          qdesk : {
            required : true
          }
        },
        {
          xtype : 'textfield',
          inputType : 'password',
          itemId : 'password',
          name : 'password',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqBasicPanel.fieldLabelPassword' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqBasicPanel.fieldTooltipPassword' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_icq.ImIcqBasicPanel.fieldEmptyTxtPassword' ),
          allowBlank : false,
          qdesk : {
            required : true
          }
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
