/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ImXmppBasicPanel',

  border : false,

  layout : 'anchor',

  defaults : {
    anchor : '100%',
    labelWidth : 95
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.tabLabelBasic' ),

      items : [
        {
          xtype : 'textfield',
          itemId : 'serviceName',
          name : 'serviceName',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldLabelServiceName' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldTooltipServiceName' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldEmptyTxtServiceName' ),
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'host',
          name : 'host',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldLabelHost' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldTooltipHost' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldEmptyTxtHost' ),
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'numberfield',
          itemId : 'port',
          name : 'port',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldLabelPort' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldTooltipPort' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldEmptyTxtPort' ),
          value : 5222, /* default XMPP port */
          minValue : 1,
          maxValue : 65535,
          anchor : '60%',
          allowBlank : false,
          qdesk : {
            required : true
          }
        },

        {
          xtype : 'textfield',
          itemId : 'username',
          name : 'username',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldLabelUsername' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldTooltipUsername' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldEmptyTxtUsername' ),
          allowBlank : false,
          qdesk : {
            required : true
          }
        },
        {
          xtype : 'textfield',
          inputType : 'password',
          itemId : 'password',
          name : 'password',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldLabelPassword' ),
          fieldTooltip : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldTooltipPassword' ),
          emptyText : QDesk.Msg.get( 'QDesk.view.main.message.channel.im_xmpp.ImXmppBasicPanel.fieldEmptyTxtPassword' ),
          allowBlank : false,
          qdesk : {
            required : true
          }
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
