/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.common.AgentConfigurationGrid', {
  extend : 'Ext.grid.Panel',

  alias : 'widget.AgentConfigurationGrid',

  cls : 'agentConfigurationGrid',
  iconCls : 'agentConfigurationGridIcon',

  header: false,

  initComponent : function ()
  {
    var me = this;

    Ext.apply( this, {
      columns : [
        {
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.AgentConfigurationGrid.textNameColumn' ),
          flex : 1,
          hideable : false,
          sortable : false,
          dataIndex : 'name'
        },
        {
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.AgentConfigurationGrid.textValueColumn' ),
          flex : 1,
          hideable : false,
          sortable : false,
          dataIndex : 'value'
        }
      ]
    } );

    me.callParent();
  },


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    var store = Ext.create( 'Ext.data.Store', {
      fields : ['name', 'value'],
      data : []
    } );

    Ext.apply( config, {
      store : store
    } );

    me.callParent( [config] );
  }
} )
;