/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.common.message.MessageQueueWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg',
    'QDesk.view.main.scheduler.common.message.MessageQueueGrid'
  ],

  alias : 'widget.MessageQueueWindow',

  cls : 'messageQueueWindow',
  iconCls : 'messageQueueWindowIcon',

  scrollable : true,

  modal : true,
  resizable : true,
  maximizable : true,

  width : 800,
  height : 500,

  minWidth : 800,
  minHeight : 500,

  layout : 'fit',

  qdesk : {
    /*
     * Required ID of the scheduler connection.
     */
    connectionId : undefined
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionId )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionId' );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.message.MessageQueueWindow.title' ),
      items : [
        {
          xtype : 'MessageQueueGrid',
          itemId : 'messageQueueGrid',
          qdesk : config.qdesk
        }
      ],

      dockedItems : [
        {
          xtype : 'toolbar',
          dock : 'bottom',
          ui : 'footer',
          defaults : {
            minWidth : 75
          },
          items : [
            {
              xtype : 'component',
              flex : 1
            },
            {
              xtype : 'button',
              itemId : 'closeButton',
              text : QDesk.Msg.get( 'QDesk.buttonLabelClose' )
            }
          ]
        }
      ]
    } );

    me.callParent( [config] );

    me.down( '#closeButton' ).on( 'click', function ()
    {
      me.close();
    } );
  }
} );