/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.common.notif.exec.MessageMacrosTreePanel', {
  extend : 'Ext.tree.Panel',

  requires : [
    'QDesk.Msg'
  ],

  alias : 'widget.ExecNotificationRuleMessageMacrosTreePanel',

  cls : 'execNotificationRuleMessageMacrosTreePanel',

  scrollable : true,

  collapsible : false,
  useArrows : true,
  rootVisible : false,
  multiSelect : false,
  singleExpand : false,

  displayField : 'macroName',


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      columns : [
        {
          xtype : 'treecolumn',
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.notif.exec.MessageMacrosTreePanel.textMacroName' ),
          flex : 2.6,
          dataIndex : 'macroName',
          sortable : false,
          renderer : function ( value, metadata, record )
          {
            var leaf = record.get( 'leaf' );

            if ( leaf )
              metadata.style = 'text-decoration: underline';

            var i = value.lastIndexOf( '.' );
            return i == -1 ? value : value.substring( i + 1 );
          }
        },
        {
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.notif.exec.MessageMacrosTreePanel.textAlwaysAvailable' ),
          align : 'center',
          flex : 2,
          dataIndex : 'alwaysAvailable',
          sortable : false,
          renderer : function ( value, metadata, record )
          {
            return value ? QDesk.Msg.get( 'QDesk.yes' ) : QDesk.Msg.get( 'QDesk.no' );
          }
        },
        {
          text : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.notif.exec.MessageMacrosTreePanel.textDescription' ),
          flex : 8,
          dataIndex : 'description',
          sortable : false
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
