/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.common.notif.exec.MessageMacrosWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg',
    'QDesk.enums.scheduler.SchedulerType',
    'QDesk.view.main.scheduler.common.notif.exec.MessageMacrosTreePanel'
  ],

  alias : 'widget.ExecNotificationRuleMessageMacrosWindow',

  cls : 'execNotificationRuleMessageMacrosWindow',
  iconCls : 'execNotificationRuleMessageMacrosWindowIcon',

  modal : true,
  resizable : true,

  //scrollable : false,

  width : 800,
  height : 500,

  layout : 'fit',

  qdesk : {
    /*
     * Scheduler type (see QDesk.enums.scheduler.SchedulerType).
     */
    schedulerType : undefined
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.schedulerType )
      Ext.Error.raise( 'Required config parameter missing: qdesk.schedulerType' );

    var store = me._createStoreForSchedulerType( config.qdesk.schedulerType );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.scheduler.common.notif.exec.MessageMacrosWindow.windowTitle' ),
      items : [
        {
          xtype : 'ExecNotificationRuleMessageMacrosTreePanel',
          itemId : 'treePanel',
          store : store
        }
      ]
    } );

    me.callParent( [config] );

    /*
     me.down( '#closeButton' ).on( 'click', function ()
     {
     me.close();
     } )
     */
  },


  _createStoreForSchedulerType : function ( schedulerType )
  {
    var store = null;

    switch ( schedulerType )
    {
      case QDesk.enums.scheduler.SchedulerType.QUARTZ:
        store = Ext.StoreManager.lookup( 'scheduler.quartz.QuartzExecNotificationRuleMessageMacrosStore' );
        break;

      default:
        Ext.Error.raise( 'Unrecognized scheduler type: ' + schedulerType );
        break;
    }

    if ( store == null )
      Ext.Error.raise( 'Store for MessageMacrosWindow not found.' );

    return store;
  }
} );
