/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.quartz.SelectJobForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg',

    'QDesk.util.EnumUtils',
    'QDesk.util.FormUtils',
    'QDesk.util.FormatUtils',

    'QDesk.view.base.BaseFormPanel',

    'QDesk.view.main.scheduler.quartz.SelectJobGrid'
  ],

  alias : 'widget.QuartzSelectJobForm',


  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionId )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionId' );

    Ext.apply( config, {
      items : [
        {
          xtype : 'QuartzSelectJobGrid',
          itemId : 'selectJobGrid',
          height : 400,

          qdesk : {
            connectionId : config.qdesk.connectionId
          }
        }
      ],

      buttons : [
        {
          itemId : 'cancelButton',
          text : QDesk.Msg.get( 'QDesk.buttonLabelCancel' )
        },
        {
          itemId : 'actionButton',
          text : QDesk.Msg.get( 'QDesk.buttonLabelSelect' )
        }
      ]
    } );

    me.callParent( [ config ] );

    me._bindEventHandlers();
  },


  _bindEventHandlers : function ()
  {
    var me = this;

    // load job grid upon render
    me.on( 'afterrender', function ()
    {
      me.down( '#selectJobGrid' ).refresh();
    } );
  }
} );
