/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.quartz.SelectJobWindow', {
  extend : 'Ext.window.Window',

  requires : [
    'QDesk.Msg',
    'QDesk.view.main.scheduler.quartz.SelectJobForm'
  ],

  alias : 'widget.QuartzSelectJobWindow',

  cls : 'quartzSelectJobWindow',
  iconCls : 'quartzSelectJobWindowIcon',

  modal : true,
  resizable : false,

  width : 800,

  qdesk : {
    /*
     * Scheduler connection ID.
     */
    connectionId : undefined
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionId )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionId' );

    Ext.apply( config, {
      title : QDesk.Msg.get( 'QDesk.view.main.scheduler.quartz.SelectJobWindow.windowTitle' ),
      items : [
        {
          xtype : 'QuartzSelectJobForm',
          itemId : 'form',
          bodyPadding : 0,
          border: 0,
          qdesk : {
            connectionId : config.qdesk.connectionId
          }
        }
      ]
    } );

    me.callParent( [config] );

    me.down( '#cancelButton' ).on( 'click', function ()
    {
      me.close();
    } );
  }
} );
