/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.main.scheduler.quartz.jobs.JobsTabViews', {
  extend : 'Ext.tab.Panel',

  requires : [
    'QDesk.view.main.scheduler.quartz.jobs.chain.JobJobChainsView',
    'QDesk.view.main.scheduler.quartz.jobs.history.JobExecHistoryView',
    'QDesk.view.main.scheduler.quartz.jobs.notif.exec.JobExecNotificationsView',
    'QDesk.view.main.scheduler.quartz.jobs.stats.JobStatisticsView',
    'QDesk.view.main.scheduler.quartz.jobs.triggers.JobTriggersView'
  ],

  alias : 'widget.QuartzJobsTabViews',

  cls : 'quartzJobsTabViews',
  bodyCls : 'quartzJobsTabViewsBody',

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    if ( !config.qdesk )
      Ext.Error.raise( 'Required config parameter missing: qdesk' );

    if ( !config.qdesk.connectionId )
      Ext.Error.raise( 'Required config parameter missing: qdesk.connectionId' );

    if ( !config.qdesk.schedulerInfo )
      Ext.Error.raise( 'Required config parameter missing: qdesk.schedulerInfo' );

    if ( !config.qdesk.jvmAgentInfo )
      Ext.Error.raise( 'Required config parameter missing: qdesk.jvmAgentInfo' );

    Ext.apply( config, {
      items : [
        // History - job execution history
        {
          xtype : 'QuartzJobExecHistoryView',
          itemId : 'historyView',
          qdesk : config.qdesk
        },

        // Triggers - job triggers
        {
          xtype : 'QuartzJobTriggersView',
          itemId : 'triggersView',
          qdesk : config.qdesk
        },

        // Statistics - job execution statistics
        {
          xtype : 'QuartzJobStatisticsView',
          itemId : 'statisticsView',
          qdesk : config.qdesk
        },

        // Notifications - job notifications
        {
          xtype : 'QuartzJobExecNotificationsView',
          itemId : 'notificationsView',
          qdesk : config.qdesk
        },

        // Job Chains - job job chains
        {
          xtype : 'QuartzJobJobChainsView',
          itemId : 'jobChainsView',
          qdesk : config.qdesk
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
