/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.navigation.help.HelpTreePanel', {
  extend: 'Ext.tree.Panel',

  requires: [
    'QDesk.Msg',
    'Ext.data.TreeStore'
  ],

  alias: 'widget.HelpTreePanel',

  cls: 'helpTreePanel',

  //scrollable : true,

  useArrows: true,

  // the help tree panel has no root node
  rootVisible: false,


  constructor: function ( config )
  {
    var me = this;

    config = config || {};

    // important to set the store before callParent as it expects the store!!!
    var store = Ext.create( 'Ext.data.TreeStore', {
      root: {
        expanded: true,
        children: [
          {
            id: 'license',
            text: QDesk.Msg.get( 'QDesk.view.navigation.help.HelpTreePanel.nodeLicense' ),
            cls: 'license',
            iconCls: 'license',
            leaf: true
          },

          {
            id: 'about',
            text: QDesk.Msg.get( 'QDesk.view.navigation.help.HelpTreePanel.nodeAbout' ),
            cls: 'about',
            iconCls: 'about',
            leaf: true
          }
        ]
      }
    } );

    Ext.apply( config, {
      store: store
    } );

    me.callParent( [config] );
  }
} );
