/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.navigation.help.about.AboutForm', {
  extend : 'QDesk.view.base.BaseFormPanel',

  requires : [
    'QDesk.Msg',
    'QDesk.view.base.BaseFormPanel'
  ],

  alias : 'widget.AboutForm',

  cls : 'aboutForm',

  fieldDefaults : {
    labelWidth : 80
  },

  constructor : function ( config )
  {
    var me = this;

    config = config || {};

    Ext.apply( config, {
      items : [
        {
          xtype : 'displayfield',
          itemId : 'productNameAndVersion',
          name : 'productNameAndVersion',
          cls : 'productNameAndVersion'
        },
        {
          xtype : 'displayfield',
          itemId : 'buildDate',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.navigation.help.about.AboutForm.fieldLabelBuildDate' ),
          name : 'buildDateFormatted'
        },
        {
          xtype : 'displayfield',
          itemId : 'licenseeName',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.navigation.help.about.AboutForm.fieldLabelLicenseeName' ),
          name : 'licenseeName',
          cls : 'licenseeName'
        },
        {
          xtype : 'displayfield',
          itemId : 'licenseExpiresInDays',
          fieldStyle : {
            color : '#ff3f05 !important',
            fontWeight : 'bold !important'
          },
          hidden : true
        },
        {
          xtype : 'displayfield',
          itemId : 'licenseExpiredText',
          value : QDesk.Msg.get( 'QDesk.view.navigation.help.about.AboutForm.textLicenseExpired' ),
          fieldStyle : {
            color : '#ff3f05 !important',
            fontWeight : 'bold !important'
          },
          hidden : true
        },
        {
          xtype : 'displayfield',
          itemId : 'javaVersion',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.navigation.help.about.AboutForm.fieldLabelJavaVersion' ),
          name : 'javaVersion'
        },
        {
          xtype : 'displayfield',
          itemId : 'javaVendor',
          fieldLabel : QDesk.Msg.get( 'QDesk.view.navigation.help.about.AboutForm.fieldLabelJavaVendor' ),
          name : 'javaVendor'
        },
        {
          xtype : 'displayfield',
          itemId : 'copyright',
          name : 'copyright',
          cls : 'copyright'
        }
      ]
    } );

    me.callParent( [config] );
  }
} );
