/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.top.LicenseInfoPanel', {
  extend : 'Ext.panel.Panel',

  requires : [
    'QDesk.Msg',
    'QDesk.util.FormatUtils'
  ],

  alias : 'widget.LicenseInfoPanel',

  cls : 'licenseInfoPanel',

  layout : {
    type : 'vbox',
    align : 'stretchmax'
  },

  initComponent : function ()
  {
    var me = this;

    Ext.applyIf( me, {
      items : [
        {
          xtype : 'panel',
          itemId : 'productAndVersion',
          cls : 'productAndVersion'
        },
        {
          xtype : 'panel',
          itemId : 'licenseeNameAndExpiry',
          cls : 'licenseeNameAndExpiry'
        }
      ]
    } );

    // panel is made visible when populated
    me.setVisible( false );

    me.callParent();
  },


  setProductNameAndVersion : function ( productName, productVersion )
  {
    var me = this;
    var productAndVersionPanel = me.down( '#productAndVersion' );
    productAndVersionPanel.update(
        QDesk.util.FormatUtils.formatProductNameAndVersion( productName, productVersion )
    );
  },


  setLicenseeNameAndExpiry : function ( licenseeName, licenseExpiresInDays, licenseExpiresInDaysText )
  {
    var me = this;
    var licenseeNameAndExpiryPanel = me.down( '#licenseeNameAndExpiry' );
    var content = '<span class="licenseeNameLabel">'
        + QDesk.Msg.get( 'QDesk.view.top.LicenseInfoPanel.fieldLabelLicenseeName' )
        + ':</span>'
        + '<span class="licenseeName">' + licenseeName + '</span>';

    if ( licenseExpiresInDays != null )
    {
      if ( licenseExpiresInDays > 0 )
      {
        // license has not expired yet - show number of days till expiration
        content += '<span class="licenseExpiresInDaysLabel">'
            + QDesk.Msg.get( 'QDesk.view.top.LicenseInfoPanel.fieldLabelLicenseExpiresInDays' )
            + ':</span>'
            + '<span class="licenseExpiresInDaysText">' + licenseExpiresInDaysText + '</span>'
      }
      else
      {
        // license expired
        content += '<span class="licenseExpiredText">'
            + QDesk.Msg.get( 'QDesk.view.top.LicenseInfoPanel.textLicenseExpired' )
            + '</span>'
      }
    }

    licenseeNameAndExpiryPanel.update( content );
  }
} );