/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

Ext.define( 'QDesk.view.top.TopContainer', {
  extend : 'Ext.container.Container',

  requires : [
    'QDesk.view.widget.LocaleCombo',
    'QDesk.view.top.LicenseInfoPanel'
  ],

  alias : 'widget.TopContainer',

  cls : 'topContainer',

  layout : {
    type : 'hbox',
    pack : 'end',
    align : 'middle'
  },

  defaults : {
    border : false
  },

  items : [
    {
      // special 'spacer' panel in the center to shift the east panel to the left as much as possible
      xtype : 'panel',
      /*
       * width and minWidth are required to prevent the east panel from overlapping the QuartzDesk background image
       * in the top container when the browser window gets resized.
       */
      width : 200,
      minWidth : 200,
      bodyStyle : 'background: transparent'
    },
    {
      xtype : 'panel',
      bodyStyle : 'background: transparent',
      layout : {
        type : 'table',
        columns : 2
      },

      items : [
        {
          xtype : 'LocaleCombo',
          itemId : 'switchLocaleCombo',
          width : 100,
          margin : '0 10 0 0'
        },
        {
          xtype : 'LicenseInfoPanel',
          itemId : 'licenseInfoPanel',
          margin : '0 5 0 0',
          height : 30  // same height as the top container
        }
      ]
    }
  ]
} );
