/*
 * Copyright (c) 2013-2015 QuartzDesk.com. All Rights Reserved.
 * QuartzDesk.com PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/**
 * Read-only check column based on the {@link Ext.ux.CheckColumn}. This
 * column prevents users from altering the checkbox state.
 */
Ext.define( 'QDesk.view.widget.ReadOnlyCheckColumn', {
  extend: 'Ext.ux.CheckColumn',

  alias: 'widget.ReadOnlyCheckColumn',

  initComponent: function ()
  {
    var me = this;
    me.on( 'beforecheckchange', function ()
    {
      // veto the checkbox change
      return false;
    } );

    me.callParent( arguments );
  }
} );
